const CacheBase=require("../cache.base");
const system=require("../../system");
//缓存蜂擎商标智能推荐
class FqTmSearchCache extends CacheBase{
   constructor(){
     super();
     this.prefix="fqserche:";
   }
   async setCompanyTmList(companyName,obj){
      const key=this.prefix+companyName;
       await this.redisClient.set(key,obj);
       return obj;
   }
   async getCompanyTmListByCache(companyName){
     if(companyName==null || companyName==""){
       return null;
     }
     const key=this.prefix+companyName;
     var cachedVal= await this.redisClient.get(key);
     if(cachedVal){
       return cachedVal;
     }else{
         return null;
       }
     }
   }
module.exports=FqTmSearchCache;
